Module | Locale::Tag
In: | lib/locale/tag/simple.rb lib/locale/tag/common.rb lib/locale/tag/posix.rb lib/locale/tag/rfc.rb lib/locale/tag/cldr.rb lib/locale/tag/irregular.rb lib/locale/tag.rb

Language tag / locale identifiers.

### Methods

parse

### Included Modules

Util::Memoizable

### Classes and Modules

Class Locale::Tag::Cldr
Class Locale::Tag::Common
Class Locale::Tag::Irregular
Class Locale::Tag::Posix
Class Locale::Tag::Rfc
Class Locale::Tag::Simple

### Public Instance methods

parse(tag)

Parse a language tag/locale name and return Locale::Tag object.

- tag: a tag as a String. e.g.) ja-Hira-JP
- Returns: a Locale::Tag subclass.

[Validate]